# learn_jetson_nx

Learning how to use the Jetson NX

## Remote Python Interpreter
Since this needs to run on the Jetson Xavier NX we have to ensure that the remote python interpreter is set.

```
sudo apt update
sudo apt install python3.8-dev python3.8-venv
```

To use the GPIO you need the [Jetson.GPIO] library installed, create a gpio group, and apply the custom udev rules.

```
python3.8 -m pip install Jetson.GPIO
```

This installs the package in the user home .local folder. We need to know this location to copy the [udev rules].

```
sudo cp ~/.local/lib/python3.8/site-packages/Jetson/GPIO/99-gpio.rules /etc/udev/rules.d/
sudo udevadm control --reload-rules && sudo udevadm trigger
```

To start playing with GPIO you can reference the samples at https://github.com/NVIDIA/jetson-gpio. A detailed GPIO pinout 
can be found [here at JetsonHacks](https://www.jetsonhacks.com/nvidia-jetson-xavier-nx-gpio-header-pinout/).


## Additional

- [Enabling CAN bus](https://medium.com/@ramin.nabati/enabling-can-on-nvidia-jetson-xavier-developer-kit-aaaa3c4d99c9)

[Jetson.GPIO]: https://github.com/NVIDIA/jetson-gpi
[udev rule]: https://opensource.com/article/18/11/udev